AMC-mailing
Prev | Commands manual | Next

## Name

AMC-mailing — mail PDF annotated completed answer sheets to students

## Synopsis

`auto-multiple-choice` mailing [--xmlargs `args.xml`] --project `project-dir` --students-list `students-list.csv` [--list-encoding `encoding`] --email-column `col` --sender `sender-email` --subject `subject` --text `email-body` [--text-content-type `content-type`] [--debug `file.log`] [`transport arguments`...]

## Description

The command AMC-mailing.pl sends by email the PDF annotated completed answer sheets to the students. Email addresses are taken from the students list file.

`--project `project-dir``

  Gives the project directory.

`--students-list `students-list.csv``

  sets the students list file name.

`--list-encoding `encoding``

  selects an encoding for file `students-list.csv` (default is utf-8).

`--email-column `col``

  sets the name of the column containing the email addresses of the students in the students list file.

`--sender `sender-email``

  sets the sender email.

`--cc `cc-email-address``

  sets the carbon copy email address.

`--bcc `bcc-email-address``

  sets the blind carbon copy email address.

`--subject `subject``

  sets the subject of the emails to send.

`--text `email-body``

  sets the body text of the emails to send.

`--text-content-type `content-type``

  sets the content-type of email text. `content-type` may be `text/plain` or `text/html`.

`--attach `filename``

  adds file `filename` as an attachment to all emails sent. Use this option several times to attach multiple files.

`--transport `transport``

  sets the transport to use. `transport` may be `sendmail` or `SMTP`.

`--debug `file.log``

  gives a file to fill with debugging information.

`--delay `time``

  sets a delay of `time` seconds between each sending.

## Transport arguments

Depending on the value used for argument `transport`, the following arguments can be added:

### Transport sendmail

`--sendmail-path `path``

  sets the path to the sendmail command (defaults to `/usr/sbin/sendmail`).

### Transport SMTP

`--smtp-host `host``

  sets the SMTP hostname (defaults to `smtp`).

`--smtp-port `port``

  sets the port to use (default value is 25).

`--smtp-ssl `mode``

  sets the security mode for the SMTP connection. The option `mode` can be `ssl`, `starttls`, or `0` (unsecured).

`--smtp-user `user``

  sets the username for authenticated SMTP.

`--smtp-passwd-file `file``

  gives the path of a file containing the password (as the first line of the file) for authenticated SMTP.

## Arguments in a XML file

To avoid encoding problems, one can place some arguments in a XML file and use the `--xmlargs `file.xml`` argument as the first command argument. Here is an example of such a file:

    <?xml version="1.0" encoding="UTF-8"?>
    <arguments>
      <arg>--sender</arg><arg>Bienvenüe &lt;paamc@passoire.fr&gt;</arg>
      <arg>--text</arg><arg>Voilà votre copie corrigée</arg>
      <arg>--subject</arg><arg>QCM</arg>
    </arguments>

Prev | Up | Next
AMC-annotate | Home | miscellaneous